{% extends 'base.html.twig' %}

{% block title %}Hello PortfolioController!{% endblock %}

{% block body %}
    <!--- WELCOME -->
    <section class="pt-12 pt-md-14 pb-12 pb-md-15 bg-gray-900" style="margin-top: -87px;">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-12 col-md-10 col-lg-7 text-center">
                    <h1 class="display-2 fw-bold text-white">
                        Portfolio
                    </h1>
                </div>
            </div>
        </div>
    </section>

    <!--- SHAPE -->
    <div class="position-relative">
        <div class="shape shape-bottom shape-fluid-x svg-shim text-light">
            <svg viewBox="0 0 2880 48" fill="none" xmlns="http://www.w3.org/2000/svg"></svg>
        </div>
    </div>

    <!--- CONTENT -->
    <section class="py-8 py-md-11 mt-n10 mt-md-n14">
        <div class="container">
            <div class="row" id="portfolio" data-isotope='{"layoutMode:"fitRows"}'>
                {% for categories in categorie %}
                    {% set img = categories.peintures | last %}
                    <div class="col-12 col-md-4 ux">
                        <a class="card lift lift-lg shadow-light-lg mb-7"
                           href="{{ path('portfolio_categorie', {'slug': categories.slug}) }}">
                            <img class="card-img-top" src="{{ img.file }}" alt="..."/>
                            <div class="card-body">
                                <div class="shape shape-bottom-100 shape-fluid-x svg-shim text-white">
                                    <svg viewBox="0 0 2880 48" fill="none" xmlns="http://www.w3.org/2000/svg"></svg>
                                </div>
                                <h4 class="mb-0"> {{ categories.lastname }}</h4>
                                <small> {{ categories.description }}</small>
                            </div>
                        </a>
                    </div>
                {% endfor %}
            </div>
        </div>
    </section>
{% endblock %}
